#!/bin/sh
#
#
. ./proc-helper
#
release_ver="1.2.0~202209"

echo "*****************************************"
echo "*** Script zur Anpassung der Firmware ***"
echo "*****************************************"
echo

check=`cat /lib/gluon/release | grep $release_ver`
if [ "$check" == "" ]
then
###########################################
echo
echo "Dieses Patch ist fuer diese Version der Firmware NICHT geeignet!"
echo
echo "Bitte eine passende Version herunterladen (falls ueberhaupt ein Patch erforderlich ist) und"
echo "diese dann ausfuehren ..."
echo
###########################################
else
###########################################
echo "-> passe Config-Vorgaben an ffhal an..."
###########################################
ffhal_params_and_files

##3xuci set gluon-setup-mode.@setup_mode[0].configured='1'
echo

##########################################
# bermittlung der Infos an die Seite
# passiert in Halle mit respondd,
# allerdings funktioniert das mit der
# Version vom Image nicht
##########################################
echo "-> kopiere Dateien von respondd..."
###########################################
respondd_files
echo

###########################################
echo "-> passe ntp Einstellungen an..."
###########################################
echo -n "."; uci del system.ntp.server

echo -n "."; uci add_list system.ntp.server='time1.service.ffhal'
echo -n "."; uci add_list system.ntp.server='time2.service.ffhal'
echo -n "."; uci add_list system.ntp.server='fd0f:8db3:d50a:0:208:a1ff:fe25:cf0a'
echo -n "."; uci add_list system.ntp.server='131.188.3.220'
echo -n "."; uci add_list system.ntp.server='131.188.3.221'
echo "ok";   uci add_list system.ntp.server='131.188.3.222'

uci commit
echo

#ac7v5############################################
#ac7v5#echo "-> passe LED-Steuerung an..."
#ac7v5############################################
#ac7v5#echo -n "."; uci set system.led_rssilow=led
#ac7v5#echo -n "."; uci set system.led_rssilow.sysfs='tp-link:green:link1'
#ac7v5#echo -n "."; uci set system.led_rssilow.trigger='rssi'
#ac7v5#echo -n "."; uci set system.led_rssilow.iface='rssid_wlan0'
#ac7v5#echo -n "."; uci set system.led_rssilow.minq='1'
#ac7v5#echo -n "."; uci set system.led_rssilow.maxq='100'
#ac7v5#echo -n "."; uci set system.led_rssilow.offset='0'
#ac7v5#echo -n "."; uci set system.led_rssilow.factor='13'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow=led
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.sysfs='tp-link:green:link2'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.trigger='rssi'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.iface='rssid_wlan0'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.minq='22'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.maxq='100'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.offset='-21'
#ac7v5#echo -n "."; uci set system.led_rssimediumlow.factor='13'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh=led
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.sysfs='tp-link:green:link3'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.trigger='rssi'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.iface='rssid_wlan0'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.minq='43'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.maxq='100'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.offset='-42'
#ac7v5#echo -n "."; uci set system.led_rssimediumhigh.factor='13'
#ac7v5#echo -n "."; uci set system.led_rssihigh=led
#ac7v5#echo -n "."; uci set system.led_rssihigh.sysfs='tp-link:green:link4'
#ac7v5#echo -n "."; uci set system.led_rssihigh.trigger='rssi'
#ac7v5#echo -n "."; uci set system.led_rssihigh.iface='rssid_wlan0'
#ac7v5#echo -n "."; uci set system.led_rssihigh.maxq='100'
#ac7v5#echo -n "."; uci set system.led_rssihigh.factor='13'
#ac7v5#echo -n "."; uci set system.led_rssihigh.minq='64'
#ac7v5#echo -n "."; uci set system.led_rssihigh.offset='-63'
#ac7v5#echo -n "."; uci set system.led_lan=led
#ac7v5#echo -n "."; uci set system.led_lan.name='LAN'
#ac7v5#echo -n "."; uci set system.led_lan.sysfs='tp-link:green:lan0'
#ac7v5#echo -n "."; uci set system.led_lan.trigger='netdev'
#ac7v5#echo -n "."; uci set system.led_lan.mode='link tx rx'
#ac7v5#echo "ok";   uci set system.led_lan.dev='eth0'

#ac7v5#echo -n "RSSI LEDs: "; /etc/init.d/rssileds reload
#ac7v5#echo "....ok"
#ac7v5#echo -n "LAN LED  : "; /etc/init.d/led reload
#ac7v5##echo "....ok"

#ac7v5#uci commit
#ac7v5#echo

###########################################
echo "-> DAC524's Workaround wegen mesh1..."
###########################################
dac524_files

echo
###########################################
echo "-> passe WLAN Einstellungen an..."
###########################################
# uci del wireless.radio0.legacy_rates

echo -n "."; uci del wireless.radio0.supported_rates 2> /dev/null

echo -n "."; uci add_list wireless.radio0.supported_rates='6000'
echo -n "."; uci add_list wireless.radio0.supported_rates='9000'
echo -n "."; uci add_list wireless.radio0.supported_rates='12000'
echo -n "."; uci add_list wireless.radio0.supported_rates='18000'
echo -n "."; uci add_list wireless.radio0.supported_rates='24000'
echo -n "."; uci add_list wireless.radio0.supported_rates='36000'
echo -n "."; uci add_list wireless.radio0.supported_rates='48000'
echo -n "."; uci add_list wireless.radio0.supported_rates='54000'

echo -n "."; uci del wireless.radio0.basic_rate 2> /dev/null

echo -n "."; uci add_list wireless.radio0.basic_rate='6000'
echo -n "."; uci add_list wireless.radio0.basic_rate='9000'
echo -n "."; uci add_list wireless.radio0.basic_rate='18000'
echo -n "."; uci add_list wireless.radio0.basic_rate='36000'
echo -n "."; uci add_list wireless.radio0.basic_rate='54000'

echo -n "."; uci del wireless.radio1.supported_rates 2> /dev/null

echo -n "."; uci add_list wireless.radio1.supported_rates='6000'
echo -n "."; uci add_list wireless.radio1.supported_rates='9000'
echo -n "."; uci add_list wireless.radio1.supported_rates='12000'
echo -n "."; uci add_list wireless.radio1.supported_rates='18000'
echo -n "."; uci add_list wireless.radio1.supported_rates='24000'
echo -n "."; uci add_list wireless.radio1.supported_rates='36000'
echo -n "."; uci add_list wireless.radio1.supported_rates='48000'
echo -n "."; uci add_list wireless.radio1.supported_rates='54000'

echo -n "."; uci del wireless.radio1.basic_rate 2> /dev/null

echo -n "."; uci add_list wireless.radio1.basic_rate='6000'
echo -n "."; uci add_list wireless.radio1.basic_rate='9000'
echo -n "."; uci add_list wireless.radio1.basic_rate='18000'
echo -n "."; uci add_list wireless.radio1.basic_rate='36000'
echo "ok";   uci add_list wireless.radio1.basic_rate='54000'

uci commit

v_respond=$(pidof respondd)
if [ $v_respond ]
then
 echo -n "WLAN restart...."
 wifi
 echo "ok"
fi

###########################################
if [ $v_respond ]
then
echo
echo "Falls der Router nicht wie erwartet normal funktionieren sollte,"
echo "bitte die laufenden Dienste ueberpruefen und ggf. neu starten. Im Zweifelsfall hilft reboot ..."
echo
else
echo
echo "Um alle Aenderungen zu uebernehmen, den Router bitte jetzt neu starten!"
echo "Dies laesst sich hier mit dem Kommando reboot erreichen."
echo
fi
###########################################
fi
